# Enum Class VulkanDescriptorBindingFlag

java.lang.Object
java.lang.Enum<VulkanDescriptorBindingFlag>
com.io7m.jcoronado.api.VulkanDescriptorBindingFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType, Serializable, Comparable<VulkanDescriptorBindingFlag>, Constable`

public enum VulkanDescriptorBindingFlag extends Enum<VulkanDescriptorBindingFlag> implements VulkanEnumBitmaskType
Bitmask specifying descriptor set layout binding properties.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_DESCRIPTOR_BINDING_PARTIALLY_BOUND`
  Specifies that descriptors in this binding that are not dynamically used need not contain valid descriptors at the time the descriptors are consumed.
  `VK_DESCRIPTOR_BINDING_UPDATE_AFTER_BIND`
  Specifies that if descriptors in this binding are updated between when the descriptor set is bound in a command buffer and when that command buffer is submitted to a queue, then the submission will use the most recently set descriptors for this binding and the updates do not invalidate the command buffer.
  `VK_DESCRIPTOR_BINDING_UPDATE_UNUSED_WHILE_PENDING`
  Specifies that descriptors in this binding can be updated after a command buffer has bound this descriptor set, or while a command buffer that uses this descriptor set is pending execution, as long as the descriptors that are updated are not used by those command buffers.
  `VK_DESCRIPTOR_BINDING_VARIABLE_DESCRIPTOR_COUNT`
  Specifies that this is a variable-sized descriptor binding whose size will be specified when a descriptor set is allocated using this layout.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanDescriptorBindingFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanDescriptorBindingFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_DESCRIPTOR_BINDING_UPDATE_AFTER_BIND

    public static final VulkanDescriptorBindingFlag VK_DESCRIPTOR_BINDING_UPDATE_AFTER_BIND
    Specifies that if descriptors in this binding are updated between when the descriptor set is bound in a command buffer and when that command buffer is submitted to a queue, then the submission will use the most recently set descriptors for this binding and the updates do not invalidate the command buffer.

  - ### VK_DESCRIPTOR_BINDING_UPDATE_UNUSED_WHILE_PENDING

    public static final VulkanDescriptorBindingFlag VK_DESCRIPTOR_BINDING_UPDATE_UNUSED_WHILE_PENDING
    Specifies that descriptors in this binding can be updated after a command buffer has bound this descriptor set, or while a command buffer that uses this descriptor set is pending execution, as long as the descriptors that are updated are not used by those command buffers.

  - ### VK_DESCRIPTOR_BINDING_PARTIALLY_BOUND

    public static final VulkanDescriptorBindingFlag VK_DESCRIPTOR_BINDING_PARTIALLY_BOUND
    Specifies that descriptors in this binding that are not dynamically used need not contain valid descriptors at the time the descriptors are consumed.

  - ### VK_DESCRIPTOR_BINDING_VARIABLE_DESCRIPTOR_COUNT

    public static final VulkanDescriptorBindingFlag VK_DESCRIPTOR_BINDING_VARIABLE_DESCRIPTOR_COUNT
    Specifies that this is a variable-sized descriptor binding whose size will be specified when a descriptor set is allocated using this layout.

- ## Method Details

  - ### values

    public static VulkanDescriptorBindingFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanDescriptorBindingFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant